/***************************************************************
 * Name:      wxprvniMain.h
 * Purpose:   Defines Application Frame
 * Author:    VF (V)
 * Created:   2020-06-02
 * Copyright: VF (V)
 * License:
 **************************************************************/

#ifndef WXPRVNIMAIN_H
#define WXPRVNIMAIN_H

//(*Headers(wxprvniFrame)
#include <wx/button.h>
#include <wx/checkbox.h>
#include <wx/frame.h>
#include <wx/menu.h>
#include <wx/sizer.h>
#include <wx/stattext.h>
#include <wx/statusbr.h>
#include <wx/textctrl.h>
//*)

class wxprvniFrame: public wxFrame
{
    public:

        wxprvniFrame(wxWindow* parent,wxWindowID id = -1);
        virtual ~wxprvniFrame();

    private:

        //(*Handlers(wxprvniFrame)
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnButton1Click(wxCommandEvent& event);
        //*)

        //(*Identifiers(wxprvniFrame)
        static const long ID_STATICTEXT1;
        static const long ID_TEXTCTRL1;
        static const long ID_CHECKBOX1;
        static const long ID_BUTTON1;
        static const long ID_BUTTON2;
        static const long idMenuQuit;
        static const long idMenuAbout;
        static const long ID_STATUSBAR1;
        //*)

        //(*Declarations(wxprvniFrame)
        wxButton* Button1;
        wxButton* Button2;
        wxCheckBox* Zena_zaskrtnuti;
        wxStaticText* StaticText1;
        wxStatusBar* StatusBar1;
        wxTextCtrl* TextCtrl1;
        //*)

        DECLARE_EVENT_TABLE()
};

#endif // WXPRVNIMAIN_H
